Subject: Re: bug#56459: 29.0.50; Edebug disables Eldoc

From: Eli Zaretskii <[email-masked]>
Date: Wed, 01 Mar 2023 18:57:23 +0200

> Date: Wed, 1 Mar 2023 18:06:56 +0200
> Cc: [email-masked], [email-masked], [email-masked],
>  [email-masked]
> From: Dmitry Gutov <[email-masked]>
> 
> On 01/03/2023 17:49, Eli Zaretskii wrote:
> >> Cc:[email-masked],[email-masked],[email-masked],
> >>   [email-masked]
> >> Date: Wed, 01 Mar 2023 17:42:07 +0200
> >> From: Eli Zaretskii<[email-masked]>
> >>
> >> So I've now reverted that change, and I'm reopening the bug.  It will
> >> have to be fixed in some other way.
> > One possibility would be to show the ElDoc info on the mode line when
> > Edebug is active.  But the difficulty with that is to figure out how
> > to revert the mode line to the original shape when Edebug finishes.
> > We currently show the info on the mdoe line when the current buffer is
> > a minibuffer, and remove the info in minibuffer-exit-hook, but how to
> > do that in the Edebug case?
> 
> edebug-mode-hook?

That's a starting point, but I don't think it's enough, because you
could switch to another buffer without exiting Edebug.  I tried
something like that and it didn't work well enough.  But maybe my
testing was incorrect, so if you are confident that this fixes the
problem, feel free to install (perhaps on master, though).